# -*- mode: ruby -*-
# vi: set ft=ruby :
VAGRANTFILE_API_VERSION = "2"
WORKSTATION_NETWORK_ADDRESS="10.0.0.15"

Vagrant.configure(VAGRANTFILE_API_VERSION) do |config|

  config.vm.provider "virtualbox" do |vb|
    vb.customize ['modifyvm', :id, '--graphicscontroller', 'vmsvga']
    vb.customize ['modifyvm', :id, '--audio', 'none']
  end

  # Minikube Workstation
  config.vm.define "minikube-workstation" do |config|
    config.vm.box = "ubuntu/focal64"
    config.vm.provider "virtualbox" do |vb|
      vb.gui = true
      vb.memory = 8192 # or 16384 RAM GB
      vb.cpus = 4
    end

    config.vm.hostname = "minikube-workstation"
    config.vm.network :private_network, ip: "#{WORKSTATION_NETWORK_ADDRESS}"

    config.vm.provision "shell", privileged: false, path: "https://gitlab.com/startup-iac/software/debian/setup/-/raw/main/commons.sh"
    config.vm.provision "shell", privileged: false, path: "https://gitlab.com/startup-iac/software/ubuntu/setup/-/raw/main/desktop-focal.sh"
    config.vm.provision "shell", privileged: false, path: "https://gitlab.com/startup-iac/software/debian/google-chrome/-/raw/main/install.sh"
    config.vm.provision "shell", privileged: false, path: "https://gitlab.com/startup-iac/software/ubuntu/docker/-/raw/main/install.sh"
    config.vm.provision "shell", privileged: false, path: "https://gitlab.com/startup-iac/software/debian/minikube/-/raw/main/install.sh"
    config.vm.provision "shell", privileged: false, path: "https://gitlab.com/startup-iac/software/helm/-/raw/main/install.sh"
    
    # Testing
    config.vm.provision "shell", privileged: false, inline: <<-SHELL
      # KeyBoard
      echo "setxkbmap -layout latam,es" >> ~/.profile
      # Test
      echo "-----------------------------------------------------------------------------"
      echo "Check Versions"
      docker --version
    SHELL
    config.vm.provision "shell", inline: <<-SHELL      
      shutdown -r now
    SHELL
  end


end

